---
version: 5
---

@import 'variables';
@import 'mixins/breakpoints';

// Tables
table {
  margin-top: 1rem;
  font-weight: normal;
  font-size: 0.875rem;
  letter-spacing: normal;
  margin-bottom: 1.5em;
  border-collapse: collapse;
  width: 100%;
  position: relative;
  table-layout: auto;
  display: table;
  line-height: 1.5;
  max-width: 100%;
  overflow: auto;

  tr {
    border-top: 1px solid $gray-100;


    &:nth-child(even) {
      background-color: $gray-10;
    }

    &:last-child {
      border-bottom: 1px solid $gray-100;
    }
  }

  th,
  td {
    padding: 1em;
  }

  thead {
    tr {
      border-top: 0;
    }
  }

  th {
    background-color: $gray-50;
    color: $gray-900;
    line-height: 1.25;
    text-align: left;
    position: sticky;
    vertical-align: top;
    z-index: 1;
    top: 0;
    box-shadow: 0 3px 0 0 var(--color-auto-gray-4);
    padding: 12px 8px;
    border: 0;
  }

  td {
    vertical-align: top;
    max-width: 12rem;

    a {
      /* stylelint-disable declaration-no-important */
      border-bottom: 0 !important;
      /* stylelint-enable declaration-no-important */
    }

    .badge-drop {
      display: none;
    }
  }
}
